Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234835 - Review Request: fgfs-Atlas - Flightgear map tools
Summary: Review Request: fgfs-Atlas - Flightgear map tools
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 14:23 UTC by Fabrice Bellet
Modified: 2009-01-06 14:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-08 20:20:26 UTC
jochen: fedora-review+


Attachments (Terms of Use)

Description Fabrice Bellet 2007-04-02 14:23:33 UTC
Spec URL: http://fr2.rpmfind.net/pub/bellet/review/fgfs-Atlas.spec
SRPM URL: http://fr2.rpmfind.net/pub/bellet/review/fgfs-Atlas-0.3.1-2.fc6.src.rpm

Description:
Atlas aims to produce and display high quality charts of the world for
users of FlightGear, an open source flight simulator. This is achieved
through two main parts: The map creator (simply called Map) and the
Atlas viewer

This package needs the scenery files from FlightGear to generate maps as a set
of images. The project on sourceforge is named "Atlas", which conflicts with
another Fedora package, so the modification of the package name. I also
pre-generated a set of images around the default San Francisco airport in the
FlightGear base scenery, so the Atlas program is directly useable, and can be
used to track a flight, when starting from the default location in FlightGear.

Comment 1 Jochen Schmitt 2007-04-02 16:30:13 UTC
Good:
+ Naming ok.

+ Local build works fine.
+ Rpmlint is quite on source rpm.
+ Rpmlint is quite on binary rpm.
+ Rpmlint ok on debuginfo package.


Bad:
- Naming ok.
- Duplicate BRs
Duplicate BuildRequires: plib-devel (by SimGear-devel), libjpeg-devel (by
SimGear-devel)


Comment 2 Hans de Goede 2007-04-02 19:44:51 UTC
Jochen, can you sponsor? Because Fabrice needs a sponsor. If not I can sponsor
him, and as an exception to the normal sponsor procedure I would be very happy
to see you do the review, as I'm _really_ busy with all kinda Fedora / Linux
stuff ATM.


Comment 3 Fabrice Bellet 2007-04-02 20:46:54 UTC
I removed the duplicate BuildRequires. Should I rename the package to something
better ? There's already an "atlas" (lowercase A) package in Fedora, for
http://math-atlas.sourceforge.net/ so I think we should avoid the name "Atlas"
alone. Alternative name can be FlightGear-Atlas that clearly shows the relation
with the FlightGear project. I chose fgfs-Atlas, because the upstream big
all-in-one data tarball of FlightGear is called fgfs-base (BZ#234831), and Atlas
primarily works with the scenery files of this tarball.

New SPEC: http://fr2.rpmfind.net/pub/bellet/review/fgfs-Atlas.spec
New SRPM: http://fr2.rpmfind.net/pub/bellet/review/fgfs-Atlas-0.3.1-3.fc6.src.rpm

Comment 4 Jochen Schmitt 2007-04-03 14:00:44 UTC
On my mind flygear-atlas sound better. But then you should rename your other 
package in flygear-base.

Comment 5 Hans de Goede 2007-04-03 14:24:02 UTC
(In reply to comment #4)
> On my mind flygear-atlas sound better. But then you should rename your other 
> package in flygear-base.

Notice that fgfs-base ic actually called fgfs-base by upstream, so that should
not be renamed. As for a name for this. I think that fgfs-atlas, following the
base package isn't such a bad idea.


Comment 6 Jochen Schmitt 2007-04-03 15:58:16 UTC
good:
+ Naming ok.
+ Tar ball matches with upstream.
+ License ok.
+ Package contains verbain copy of the license text

*** APPROVED ***

Comment 7 Hans de Goede 2007-04-03 19:41:09 UTC
Jochen, you haven't answered my question yet, can (and will) you sponsor
Fabrice, or shall I?


Comment 8 Hans de Goede 2007-04-06 08:52:58 UTC
Jochen, 

Will you also review FlightGear itself? Also you still haven't answered my
question yet, can (and will) you sponsor Fabrice, or shall I?

Fabrice do you want to import these 2 now, or do you want to wait till
FlightGear itself is also reviewed?




Comment 9 Fabrice Bellet 2007-04-06 12:16:50 UTC
Hans,

Yes, I can import fgfs-base and fgfs-Atlas now, and build them.

Comment 10 Hans de Goede 2007-04-06 18:55:48 UTC
okay, I'll sponsor you then. Go request cvs-extras group membership in the
account system, then I can sponsor you. Once sponsored, configure your system
for CVS access as described on the wiki and then import and build them.

Jochen, that still leaves the question open of reviewing FlightGear itself, any
chance you could do that?


Comment 11 Fabrice Bellet 2007-04-07 15:57:47 UTC
New Package CVS Request
=======================
Package Name: fgfs-Atlas
Short Description: Flightgear map tools
Owners: fabrice@bellet.info
Branches: FC-6
InitialCC:

Comment 12 Fabrice Bellet 2007-04-08 20:20:26 UTC
fgfs-Atlas has been successfully build. Thanks for the review.

Comment 13 Fabrice Bellet 2008-12-15 09:40:58 UTC
New Package CVS Request
=======================
Package Name: FlightGear-Atlas
Short Description: Flightgear map tools
Owners: fabrice@bellet.info
Branches:
InitialCC:

I'd like to rename this package. The data tarball for FlightGear has been renamed to FlightGear-data recently. So I'll take this opportunity to unify the name of this other package too. With this renaming, all FlightGear related packages will have the same prefix.

The upstream name of this package is 'Atlas' (http://atlas.sourceforge.net/), and another unrelated package with this name already exists in the packagedb (atlas for http://math-atlas.sourceforge.net/). So this is why this move doesn't reflect an upstream project modification in this case.

Comment 14 Fabrice Bellet 2009-01-06 14:31:51 UTC
request grouped with bz #234831


Note You need to log in before you can comment on or make changes to this bug.